#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc8'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 8)
__CHEETAH_genTime__ = 1191715796.9141691
__CHEETAH_genTimestamp__ = 'Sat Oct  6 20:09:56 2007'
__CHEETAH_src__ = 'mainpage.tmpl'
__CHEETAH_srcLastModified__ = 'Sat Oct  6 20:09:44 2007'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class mainpage(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<html>
<head><title>Status for order #''')
        _v = VFFSL(SL,"order.id",True) # '$order.id' on line 2, col 32
        if _v is not None: write(_filter(_v, rawExpr='$order.id')) # from line 2, col 32.
        write('''</title></head>
<body>
<p>[You are logged in as ''')
        _v = VFN(VFFSL(SL,"user",True),"getFullName",False)() # '$user.getFullName()' on line 4, col 26
        if _v is not None: write(_filter(_v, rawExpr='$user.getFullName()')) # from line 4, col 26.
        write('''.]</p>
<p>
''')
        if (VFN(VFFSL(SL,"order",True),"hasShipped",False)()): # generated from line 6, col 1
            write(''' Your order has shipped. Your tracking number is ''')
            _v = VFFSL(SL,"order.trackingNumber",True) # '$order.trackingNumber' on line 7, col 50
            if _v is not None: write(_filter(_v, rawExpr='$order.trackingNumber')) # from line 7, col 50.
            write('''.
''')
        else: # generated from line 8, col 1
            write(''' Your order has not yet shipped.
''')
        write('''</p>
<p>Order #''')
        _v = VFFSL(SL,"order.id",True) # '$order.id' on line 12, col 11
        if _v is not None: write(_filter(_v, rawExpr='$order.id')) # from line 12, col 11.
        write(''' contains the following items:</p>
<ul>
''')
        for purchased, quantity in VFN(VFFSL(SL,"order.purchased",True),"items",False)(): # generated from line 14, col 1
            write(''' <li>''')
            _v = VFFSL(SL,"purchased.name",True) # '$purchased.name' on line 15, col 6
            if _v is not None: write(_filter(_v, rawExpr='$purchased.name')) # from line 15, col 6.
            write(''': ''')
            _v = VFFSL(SL,"quantity",True) # '$quantity' on line 15, col 23
            if _v is not None: write(_filter(_v, rawExpr='$quantity')) # from line 15, col 23.
            write(''' unit''')
            if (VFFSL(SL,"quantity",True) != 1): # generated from line 16, col 1
                write('''s
''')
            write('''</li>
''')
        write('''</ul>
<hr />
Served by Online Store v1.0
</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_mainpage= 'respond'

## END CLASS DEFINITION

if not hasattr(mainpage, '_initCheetahAttributes'):
    templateAPIClass = getattr(mainpage, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(mainpage)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=mainpage()).run()


